Get Setup Intent - Flex Documentation
Get Setup Intent
cURL
curl --request GET \
--url https://api.withflex.com/v1/setup_intents/{id} \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.withflex.com/v1/setup_intents/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.withflex.com/v1/setup_intents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
<?php
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://api.withflex.com/v1/setup_intents/{id}",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "GET",\
CURLOPT_HTTPHEADER => [\
"Authorization: Bearer <token>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.withflex.com/v1/setup_intents/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.get("https://api.withflex.com/v1/setup_intents/{id}")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://api.withflex.com/v1/setup_intents/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Status Codes
- 200 - Successful request
- 401 - Unauthorized
- 403 - Forbidden
- 404 - Not Found
- 409 - Conflict
- 422 - Unprocessable Entity
- 429 - Too Many Requests
Example Response
{
"subscription": "fsub_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"setup_intent_id": "fseti_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"customer": "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"description": "Premium SPF 50 mineral sunscreen",
"payment_method": "fpm_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"partner_id": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"created_at": "2026-06-15T14:30:00Z",
"test_mode": false,
"status": "requires_payment_method",
"usage": "off_session",
"subscription_id": "fsub_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
}
Error Response Format
{
"code": "string",
"detail": "string"
}
Detailed validation error response
{
"detail": [\
{\
"loc": [\
"string"\
],\
"msg": "string",
"type": "string"
}\
]
}
Authorizations
Authorization: string (header, required)
Use a Bearer token to access this API.
Path Parameters
- id:
string(required)- Example: "fseti_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
Query Parameters
- expand:
string(default: "")- Comma-separated list of fields to expand (e.g., "subscription").
- Example: ""
Response Specification
- setup_intent_id: Unique identifier for the object.
- partner_id: The ID of the account this SetupIntent belongs to.
- created_at: Time at which the object was created in ISO 8601 format.
- test_mode: Indicates whether the setup intent is in test mode.
- status: Current status of the setup intent.
- usage: Indicates understanding of usage of the payment method in the future.
- subscription: The subscription this SetupIntent is associated with.